Subject: Re: Soapmaking

From: [email-masked]
Date: Tue, 9 May 95 15:36:00 EST

I've recently launched a small press company which has several publications
available pertaining to the use of herbs.  One of my booklets not only gives
the procedure and recipes for various soaps, but includes dozens of recipes
for making many cosmetics/toiletries.  If you're interested in this
publication (or would like a list of other titles) let me know.